diff --git a/base/deploy/src/scriptlets/pkimessages.py b/base/deploy/src/scriptlets/pkimessages.py
index c16d3ce46618acb968f91314048331d2269bd6ec..a6361dc8bf3d588dd4509a33f04e1511ecb786ad 100644
--- a/base/deploy/src/scriptlets/pkimessages.py
+++ b/base/deploy/src/scriptlets/pkimessages.py
@@ -149,12 +149,17 @@ PKIHELPER_APACHE_INSTANCES_2 = "PKI Apache registry '%s' contains '%d' "\
                                "Apache PKI instances"
 PKIHELPER_APPLY_SLOT_SUBSTITUTION_1 = "applying in-place "\
                                       "slot substitutions on '%s'"
+PKIHELPER_CERTUTIL_GENERATE_CSR_1 = "executing '%s'"
+PKIHELPER_CERTUTIL_MISSING_INPUT_FILE = "certutil: Missing "\
+                                        "'-i input-file' option!"
 PKIHELPER_CERTUTIL_MISSING_ISSUER_NAME = "certutil:  Missing "\
                                          "'-c issuer-name' option!"
 PKIHELPER_CERTUTIL_MISSING_NICKNAME = "certutil:  Missing "\
                                       "'-n nickname' option!"
 PKIHELPER_CERTUTIL_MISSING_NOISE_FILE = "certutil:  Missing "\
                                         "'-z noise-file' option!"
+PKIHELPER_CERTUTIL_MISSING_PASSWORD_FILE = "certutil:  Missing "\
+                                        "'-f password-file' option!"
 PKIHELPER_CERTUTIL_MISSING_PATH = "certutil:  Missing '-d path' option!"
 PKIHELPER_CERTUTIL_MISSING_SERIAL_NUMBER = "certutil:  Missing "\
                                            "'-m serial-number' option!"
@@ -189,7 +194,6 @@ PKIHELPER_GROUP_ADD_GID_KEYERROR_1 = "KeyError:  pki_gid %s"
 PKIHELPER_GROUP_ADD_KEYERROR_1 = "KeyError:  pki_group %s"
 PKIHELPER_INVALID_SELINUX_CONTEXT_FOR_PORT = "port %s has invalid selinux "\
                                              "context %s"
-PKIHELPER_INVOKE_JYTHON_1 = "executing '%s'"
 PKIHELPER_IS_A_DIRECTORY_1 = "'%s' is a directory"
 PKIHELPER_IS_A_FILE_1 = "'%s' is a file"
 PKIHELPER_IS_A_SYMLINK_1 = "'%s' is a symlink"
@@ -224,6 +228,15 @@ PKIHELPER_NOISE_FILE_2 = "generating noise file called '%s' and "\
                          "filling it with '%d' random bytes"
 PKIHELPER_PASSWORD_CONF_1 = "generating '%s'"
 PKIHELPER_PASSWORD_NOT_FOUND_1 = "no password found for '%s'!"
+PKIHELPER_PK12UTIL_MISSING_DBPWFILE = "pk12util missing "\
+                                     "-k db-password-file option!"
+PKIHELPER_PK12UTIL_MISSING_NICKNAME = "pk12util missing "\
+                                     "-n nickname option!"
+PKIHELPER_PK12UTIL_MISSING_OUTFILE = "pk12util missing "\
+                                     "-o output-file option!"
+PKIHELPER_PK12UTIL_MISSING_PWFILE = "pk12util missing "\
+                                     "-w pw-file option!"
+
 PKIHELPER_PKI_INSTANCE_SUBSYSTEMS_2 = "instance '%s' contains '%d' "\
                                       "PKI subsystems"
 PKIHELPER_REMOVE_FILTER_SECTION_1 = "removing filter section from '%s'"
@@ -279,47 +292,25 @@ PKIHELPER_USER_ADD_DEFAULT_2 = "adding default UID '%s' for user '%s' . . ."
 PKIHELPER_USER_ADD_KEYERROR_1 = "KeyError:  pki_user %s"
 PKIHELPER_USER_ADD_UID_KEYERROR_1 = "KeyError:  pki_uid %s"
 
-
-# PKI Deployment Jython "Scriptlet" Messages
-# (MUST contain NO embedded formats since Jython 2.2 does not support logging!)
-PKI_JYTHON_ADMIN_CERT_EXPORT = "exporting Admin Certificate from "\
-                               "NSS client security database:"
-PKI_JYTHON_ADMIN_CERT_IMPORT = "importing Admin Certificate into "\
-                               "NSS client security database:"
-PKI_JYTHON_ADMIN_CERT_SAVE = "saving Admin Certificate to file:"
-PKI_JYTHON_ADMIN_CERT_ATOB = "converting Admin Certificate to binary:"
-PKI_JYTHON_CDATA_TAG = "tag:"
-PKI_JYTHON_CDATA_CERT = "cert:"
-PKI_JYTHON_CDATA_REQUEST = "request:"
-PKI_JYTHON_CHMOD = "performing chmod:"
-PKI_JYTHON_CONFIGURING_PKI_DATA = "configuring PKI configuration data for"
-PKI_JYTHON_CONSTRUCTING_PKI_DATA = "constructing PKI configuration data for"
-PKI_JYTHON_CRMF_SUPPORT_ONLY = "only the 'crmf' certificate request type "\
+PKI_CONFIG_ADMIN_CERT_SAVE = "saving Admin Certificate to file:"
+PKI_CONFIG_ADMIN_CERT_ATOB = "converting Admin Certificate to binary:"
+PKI_CONFIG_CDATA_TAG = "tag:"
+PKI_CONFIG_CDATA_CERT = "cert:"
+PKI_CONFIG_CDATA_REQUEST = "request:"
+PKI_CONFIG_CONFIGURING_PKI_DATA = "configuring PKI configuration data."
+PKI_CONFIG_CONSTRUCTING_PKI_DATA = "constructing PKI configuration data."
+PKI_CONFIG_PKCS10_SUPPORT_ONLY = "only the 'pkcs10' certificate request type "\
                                "is currently supported"
-PKI_JYTHON_IS_DUALKEY = "dualkey = true"
-PKI_JYTHON_EXCEPTION_PARSER = "Problem parsing"
-PKI_JYTHON_EXTERNAL_CA_LOAD = "loading external CA signing certificate "\
+PKI_CONFIG_EXTERNAL_CA_LOAD = "loading external CA signing certificate "\
                               "from file:"
-PKI_JYTHON_EXTERNAL_CA_CHAIN_LOAD = "loading external CA signing certificate "\
+PKI_CONFIG_EXTERNAL_CA_CHAIN_LOAD = "loading external CA signing certificate "\
                                     "chain from file:"
-PKI_JYTHON_EXTERNAL_CSR_SAVE = "saving CA Signing CSR to file:"
-PKI_JYTHON_INDENTATION_0 = "pkispawn    : JYTHON  "
-PKI_JYTHON_INDENTATION_1 = "pkispawn    : JYTHON   ..."
-PKI_JYTHON_INDENTATION_2 = "pkispawn    : JYTHON   ......."
-PKI_JYTHON_INDENTATION_3 = "pkispawn    : JYTHON   ..........."
-PKI_JYTHON_INDENTATION_4 = "pkispawn    : JYTHON   ..............."
-PKI_JYTHON_INITIALIZATION_ERROR = "INITIALIZATION ERROR:"
-PKI_JYTHON_INITIALIZING_REST_CLIENT = "initializing REST client via"
-PKI_JYTHON_INITIALIZING_TOKEN = "initializing token located in"
-PKI_JYTHON_JAVA_CONFIGURATION_EXCEPTION =\
+PKI_CONFIG_EXTERNAL_CSR_SAVE = "saving CA Signing CSR to file:"
+PKI_CONFIG_JAVA_CONFIGURATION_EXCEPTION =\
     "Exception from Java Configuration Servlet:"
-PKI_JYTHON_LOG_INTO_TOKEN = "logging into token located in"
-PKI_JYTHON_LOGIN_EXCEPTION = "login Exception:"
-PKI_JYTHON_RESPONSE_ADMIN_CERT = "adminCert:"
-PKI_JYTHON_RESPONSE_STATUS = "status:"
-PKI_JYTHON_TOKEN_LOGIN_EXCEPTION = "Exception in logging into token:"
-PKI_JYTHON_NOT_YET_IMPLEMENTED = "NOT YET IMPLEMENTED"
-
+PKI_CONFIG_RESPONSE_ADMIN_CERT = "adminCert:"
+PKI_CONFIG_RESPONSE_STATUS = "status:"
+PKI_CONFIG_NOT_YET_IMPLEMENTED_1 = " %s NOT YET IMPLEMENTED"
 
 # PKI Deployment "Scriptlet" Messages
 ADMIN_DOMAIN_DESTROY_1 = "depopulating '%s'"
diff --git a/base/deploy/src/scriptlets/pkiparser.py b/base/deploy/src/scriptlets/pkiparser.py
index 639b1182084669bd01b6d03e1c9c8977c8136cb1..c4bf9b886ee3bd77ed11a6955c57efbf0188d41a 100644
--- a/base/deploy/src/scriptlets/pkiparser.py
+++ b/base/deploy/src/scriptlets/pkiparser.py
@@ -96,15 +96,12 @@ class PKIConfigParser:
         # Process 'Optional' command-line options
         #    '-v'
         if args.pki_verbosity == 1:
-            config.pki_jython_log_level = config.PKI_JYTHON_INFO_LOG_LEVEL
             config.pki_console_log_level = logging.INFO
             config.pki_log_level = logging.INFO
         elif args.pki_verbosity == 2:
-            config.pki_jython_log_level = config.PKI_JYTHON_INFO_LOG_LEVEL
             config.pki_console_log_level = logging.INFO
             config.pki_log_level = logging.DEBUG
         elif args.pki_verbosity == 3:
-            config.pki_jython_log_level = config.PKI_JYTHON_DEBUG_LOG_LEVEL
             config.pki_console_log_level = logging.DEBUG
             config.pki_log_level = logging.DEBUG
         elif args.pki_verbosity > 3:
@@ -114,7 +111,6 @@ class PKIConfigParser:
             self.arg_parser.exit(-1);
         else:
             # Set default log levels
-            config.pki_jython_log_level = config.PKI_JYTHON_WARNING_LOG_LEVEL
             config.pki_console_log_level = logging.WARNING
             config.pki_log_level = logging.INFO
 
@@ -424,8 +420,6 @@ class PKIConfigParser:
             config.pki_master_dict['pki_certificate_timestamp'] =\
                 config.pki_certificate_timestamp
             config.pki_master_dict['pki_architecture'] = config.pki_architecture
-            config.pki_master_dict['pki_jython_log_level'] =\
-                config.pki_jython_log_level
             config.pki_master_dict['pki_default_deployment_cfg'] = config.default_deployment_cfg
             config.pki_master_dict['pki_user_deployment_cfg'] = config.user_deployment_cfg
             config.pki_master_dict['pki_deployed_instance_name'] =\
@@ -857,21 +851,7 @@ class PKIConfigParser:
                 config.pki_master_dict['pki_client_database_password'] =\
                     str(config.pki_master_dict['pki_client_pin'])
 
-            # Jython scriptlet name/value pairs
-            config.pki_master_dict['pki_jython_configuration_scriptlet'] =\
-                os.path.join(sys.prefix,
-                             "lib",
-                             "python" + str(sys.version_info[0]) + "." +
-                             str(sys.version_info[1]),
-                             "site-packages",
-                             "pki",
-                             "deployment",
-                             "configuration.jy")
-            config.pki_master_dict['pki_jython_base_uri'] =\
-                "https" + "://" + config.pki_master_dict['pki_hostname'] + ":" +\
-                config.pki_master_dict['pki_https_port'] + "/" +\
-                config.pki_master_dict['pki_subsystem'].lower()
-            # Jython scriptlet
+            # Configuration scriptlet
             # 'Security Domain' Configuration name/value pairs
             # 'Subsystem Name'  Configuration name/value pairs
             # 'Token'           Configuration name/value pairs
@@ -945,7 +925,6 @@ class PKIConfigParser:
                 # PKI CA
                 config.pki_master_dict['pki_security_domain_type'] = "new"
 
-            # Jython scriptlet
             # 'External CA' Configuration name/value pairs
             #
             #     Tomcat - [External CA]
@@ -959,7 +938,6 @@ class PKIConfigParser:
             #        config.pki_master_dict['pki_external_step_two']
             #
 
-            # Jython scriptlet
             # 'Backup' Configuration name/value pairs
             #
             #     Apache - [RA], [TPS]
diff --git a/base/deploy/src/scriptlets/security_databases.py b/base/deploy/src/scriptlets/security_databases.py
index a74a4c1576e543ff4a6f95c86d2435002733b71f..9ac4784e5933ce148961669100416a9f767a47bd 100644
--- a/base/deploy/src/scriptlets/security_databases.py
+++ b/base/deploy/src/scriptlets/security_databases.py
@@ -62,7 +62,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         util.file.modify(master['pki_secmod_database'], perms=\
             config.PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS)
 
-        if util.instance.tomcat_instance_subsystems() < 2:
+        if len(util.instance.tomcat_instance_subsystems()) < 2:
             # only create a self signed cert for a new instance  
             rv = util.certutil.verify_certificate_exists(
                  master['pki_database_path'],
@@ -111,7 +111,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
             util.file.delete(master['pki_secmod_database'])
             util.file.delete(master['pki_shared_password_conf'])
         elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-             util.instance.tomcat_instance_subsystems() == 0:
+             len(util.instance.tomcat_instance_subsystems()) == 0:
             util.file.delete(master['pki_cert_database'])
             util.file.delete(master['pki_key_database'])
             util.file.delete(master['pki_secmod_database'])
diff --git a/base/deploy/src/scriptlets/selinux_setup.py b/base/deploy/src/scriptlets/selinux_setup.py
index f3b7d1273c8f4a832d9e06f40aa2726e5ac68b3a..552ab3f41572e51e599daf9ce2d7e0c7b46e2a1b 100644
--- a/base/deploy/src/scriptlets/selinux_setup.py
+++ b/base/deploy/src/scriptlets/selinux_setup.py
@@ -66,7 +66,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
             util.instance.apache_instance_subsystems() == 1 or\
             master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-            util.instance.tomcat_instance_subsystems() == 1:
+            len(util.instance.tomcat_instance_subsystems()) == 1:
 
             trans = seobject.semanageRecords("targeted")
             trans.start()
@@ -133,7 +133,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
             util.instance.apache_instance_subsystems() == 0 or\
             master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-            util.instance.tomcat_instance_subsystems() == 0:
+            len(util.instance.tomcat_instance_subsystems()) == 0:
 
             trans = seobject.semanageRecords("targeted")
             trans.start()
diff --git a/specs/pki-core.spec b/specs/pki-core.spec
index e2144fc342cff84fc65d66a78346ece9678c3fac..c33ff12de596467c40ae991c662b1a487c465c91 100644
--- a/specs/pki-core.spec
+++ b/specs/pki-core.spec
@@ -5,7 +5,7 @@ distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 
 Name:             pki-core
 Version:          10.0.1
-Release:          7%{?dist}
+Release:          8%{?dist}
 Summary:          Certificate System - PKI Core Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -263,7 +263,6 @@ Requires:         perl(XML::LibXML)
 Requires:         perl-Crypt-SSLeay
 Requires:         policycoreutils
 Requires:         openldap-clients
-Requires:         jython >= 2.2.1
 Requires:         pki-base = %{version}-%{release}
 Requires:         pki-tools = %{version}-%{release}
 
@@ -1006,6 +1005,9 @@ fi
 
 
 %changelog
+* Tue Mar 19 2013 Ade Lee <alee@redhat.com> 10.0.1-8
+- Removed jython dependency
+
 * Mon Mar 11 2013 Endi S. Dewata <edewata@redhat.com> 10.0.1-7
 - Added minimum python-requests version.
 
-- 
1.8.1.4

